#!/usr/bin/python3
"""
    Runs each specified file against markdownlint.
"""

from subprocess import check_call, CalledProcessError
from sys import argv
from os import remove

CONFIG = 'markdown.config'
with open(CONFIG, 'w') as config:
    config.write('[general]\n')
    config.write('ignore=R1\n')

ARGS = ['markdownlint', '--config', CONFIG]
try:
    for afile in argv[1:]:
        check_call(ARGS + [afile])
except CalledProcessError:
    exit(1)
finally:
    remove(CONFIG)
