#!/bin/bash
set -x
test -d build && rm -rf build
meson -Db_coverage=true build || exit 1
cd build

ninja test
RET=$?

ninja coverage
cat meson-logs/coverage.txt
cd ..

if ! test -z "${COVERALLS_REPO_TOKEN}"
then
    coveralls -b build -e test
fi

if ! test -z "${ARCHIVE}"
then
    cp -r build/meson-logs/coverage* ${ARCHIVE}/
fi

exit ${RET}
