/*
 * Copyright (c) 2018 Tomasz Sieprawski
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 **/

#include "storage.h"

int tm_storage_free(tm_storage **pthis)
{
    tm_storage *this = 0;
    this = *pthis;
    (this->free_f)(this);
    free(this);
    *pthis = 0;
    return 1;
}

int tm_storage_add_tasks(tm_storage *this, tm_task **tasks, unsigned int len)
{
    return (this->add_tasks_f)(this, tasks, len);
}

int tm_storage_modify_tasks(tm_storage *this, tm_task **tasks, unsigned int len)
{
    return (this->modify_tasks_f)(this, tasks, len);
}

int tm_storage_remove_tasks(tm_storage *this, tm_task* *tasks, unsigned int len)
{
    return (this->remove_tasks_f)(this, tasks, len);
}

int tm_storage_run_query(tm_storage *this, tm_query *query, tm_task ***parr, unsigned int *plen)
{
    return (this->run_query_f)(this, query, parr, plen);
}

int tm_storage_query_name_contains(tm_storage *this, char *name, tm_query **pthis)
{
    return (this->query_name_contains_f)(this, name, pthis);
}

int tm_storage_query_id_equals(tm_storage *this, unsigned long id, tm_query **pthis)
{
    return (this->query_id_equals_f)(this, id, pthis);
}

int tm_storage_query_and(tm_storage *this, unsigned int clen, tm_query **cs, tm_query **pthis)
{
    return (this->query_and_f)(this, clen, cs, pthis);
}
