/*
 * Copyright (c) 2018 Tomasz Sieprawski
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 **/

#ifndef HAVE_TMS_TEST_COMMON
#define HAVE_TMS_TEST_COMMON

typedef struct query_row query_row;
struct query_row
{
    unsigned int id;
    char *name;
};

void expect_http_get(char *, int, char *);
void expect_http_get_ignore_body(char *, int);
void expect_http_post(char *, char *, int, char *);

void expect_process_usage(char **, int);
void expect_process_started_and_died(char **);

void expect_process_started(void);
void expect_process_started_accesslog(void);
void expect_process_died(void);
void expect_process_no_output(void);
void expect_process_output_accesslog(char *, char *, char *, unsigned int, unsigned int);

void do_add(char *);
void do_remove(int, unsigned int, ...);
void do_modify(int, unsigned int, unsigned int, ...);
void do_query(unsigned int, unsigned int, ...);

#endif
